Bug 227737 - devel/dyncall: Update to 1.0
Summary: devel/dyncall: Update to 1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-24 09:16 UTC by Tassilo Philipp
Modified: 2018-04-27 21:00 UTC (History)
1 user (show)

See Also:


Attachments
patch file for 0.9_1 -> 1.0 upgrade (4.08 KB, patch)
2018-04-24 09:16 UTC, Tassilo Philipp
tphilipp: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tassilo Philipp 2018-04-24 09:16:32 UTC
Created attachment 192774 [details]
patch file for 0.9_1 -> 1.0 upgrade
Comment 1 Fernando Apesteguía freebsd_committer 2018-04-26 20:42:40 UTC
I'll take this one
Comment 2 Fernando Apesteguía freebsd_committer 2018-04-26 20:44:44 UTC
Hi Tassilo,

There is no need to add [MAINTAINER] or [MAINTAINER-UPDATE] in the subject. It clutters the PR database.

Also, you can add the maintainer-approval flag for the patch :)
Comment 3 Tassilo Philipp 2018-04-26 20:59:21 UTC
Sorry... I just follow the porter's handbook, and it says " If the submitter is also maintaining the port, be sure to put [MAINTAINER] at the beginning of the Summary line." [1]

Maybe it needs some updating?

Anyways, thanks for working on this and telling me about the flag.

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html
Comment 4 Fernando Apesteguía freebsd_committer 2018-04-27 05:43:34 UTC
(In reply to Tassilo Philipp from comment #3)

You're actually right about the doc. I've seen MAINTAINER in disuse lately, but it's not big deal anyway :)
Comment 5 Fernando Apesteguía freebsd_committer 2018-04-27 17:22:07 UTC
Hi Tassilo,

I don't have any ARM devices to test this port on. Can you confirm this builds in ARM too?
Comment 6 Tassilo Philipp 2018-04-27 18:05:37 UTC
(In reply to Fernando Apesteguía from comment #5)

To my knowledge it does. I did build it on a raspberry pi and also on an arm64 version of FreeBSD. The results are even available as prebuilds, here: http://www.dyncall.org/download

Both where done on FreeBSD 11, though.
Comment 7 commit-hook freebsd_committer 2018-04-27 20:59:57 UTC
A commit references this bug:

Author: fernape
Date: Fri Apr 27 20:59:13 UTC 2018
New revision: 468498
URL: https://svnweb.freebsd.org/changeset/ports/468498

Log:
  Update devel/dyncall to 1.0

  PR:	227737
  Reported by:	tphilipp@potion-studios.com (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15213

Changes:
  head/devel/dyncall/Makefile
  head/devel/dyncall/distinfo
  head/devel/dyncall/pkg-plist
Comment 8 Fernando Apesteguía freebsd_committer 2018-04-27 21:00:55 UTC
Committed,

Thanks!